Bug 116466 - AMD64 reproducible kernel oops
Summary: AMD64 reproducible kernel oops
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-21 14:53 UTC by Sam Varshavchik
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 20:07:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete boot log. (12.74 KB, text/plain)
2004-02-21 14:54 UTC, Sam Varshavchik
no flags Details
FC 1.0 X86_64 boot log. (10.90 KB, text/plain)
2004-03-14 02:32 UTC, Sam Varshavchik
no flags Details

Description Sam Varshavchik 2004-02-21 14:53:45 UTC
Description of problem:

I can reliably reproduce the following oops by running Sun's Java
compiler on a fairly-sized Java code, as non-root.

kernel 2174 smp.

Where's ksymoops?  Is it needed, any more?

Unable to handle kernel paging request<1> at 00000001801c934e RIP:
[<00000001801c934e>]PML4 75728067 PGD 0 
Oops: 0010
CPU 0 
Pid: 4541, comm: javac Not tainted
RIP: 0010:[<00000001801c934e>]
RSP: 0000:000001007390de48  EFLAGS: 00010212
RAX: 0000000000000000 RBX: 00000000621742a0 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 000001007390df38 RDI: 0000000062174330
RBP: 0000000000000000 R08: 0000000008051f94 R09: 0000000061d709c4
R10: 0000000000000000 R11: 0000000061d70848 R12: 000001007390df58
R13: 0000010075472f28 R14: 000000000000000c R15: 000001007390ca58
FS:  0000002a9557e6a0(0000) GS:ffffffff80574fc0(005b)
knlGS:0000000062174bb0
CS:  0010 DS: 002b ES: 002b CR0: 000000008005003b
CR2: 00000001801c934e CR3: 0000000000101000 CR4: 00000000000006e0
Process javac (pid: 4541, stackpage=1007390d000)
Stack: 000001007390de48 0000000000000000 00000001801c934e
0000000100000000 
       0000000000000000 0000000100000000 0000000100000000
08051f9400000000 
       8013daaa00000000 00000000ffffffff 3b9aba6000000000
61d7084800000000 
Call Trace: [<ffffffff801101ce>]{do_signal+158}
[<ffffffff8013daaa>]{compat_sys_futex+202} 
       [<ffffffff8011061b>]{intret_signal+45} 

Code:  Bad RIP value.
RIP [<00000001801c934e>] RSP <000001007390de48>
CR2: 00000001801c934e

Comment 1 Sam Varshavchik 2004-02-21 14:54:25 UTC
Created attachment 97907 [details]
Complete boot log.

Comment 2 Sam Varshavchik 2004-03-14 02:31:35 UTC
This bug still exists in FC 1.0 AMD64.


Comment 3 Sam Varshavchik 2004-03-14 02:32:34 UTC
Created attachment 98520 [details]
FC 1.0 X86_64 boot log.

Comment 4 David Lawrence 2004-09-29 20:07:37 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.